# Set defaults. 
defaults

# Enable or disable TLS/SSL encryption.
tls on
tls_starttls on
tls_trust_file /etc/ssl/certs/ca-certificates.crt

# A system wide configuration is optional. 
# If it exists, it usually defines a default account.
# This allows msmtp to be used like /usr/sbin/sendmail.
account default

# EHLO
domain {{ msmtp_domain }}

# The SMTP smarthost.
host smtp-relay.gmail.com
port 587

# N.B. Authentication is handled by limiting connections to a CloudA IP range (104.37.196.0/24). This is configured at:
# https://admin.google.com/consensus.enterprises/AdminHome?subtab=filters&pli=1&fral=1#ServiceSettings/service=email&subtab=filters
# In addition, "from:" is limited to addresses within our domain(s) (i.e., <anything>@consensus.enteprises) 

# Syslog logging with facility LOG_MAIL instead of the default LOG_USER. 
syslog LOG_MAIL

# Use the system-wide aliases file.
aliases /etc/aliases
